expesneTrackerApp = angular.module("expenseTrackerApp",[]);

expesneTrackerApp.controller(
	"expnseItemsCtrl", 
	[
		"$scope",
		function ($scope) {
			$scope.expenses = [];
			$scope.addExpense = function (expense)
			{
				$scope.expenses.push(expense);
			}
			
			$scope.dateToStr = function (dateNum)
			{
				var tmpDate = new Date(dateNum);
				return dateFormat(tmpDate,"mm/dd/yyyy"); //this is cfclient function
			}
		}
	]
).controller (
	"addExpDlgCtrl",
	[
		"$scope",
		function ($scope) {
			$scope.resetExpense = function ()
			{
				$scope.amount = 0;
				$scope.desc = "";
				$scope.date = "";
				$scope.imagePath = "";
			}
			
			$scope.resetExpense();
		}
	]
).controller (
	"displayReceiptCtrl",
	[
		"$scope",
		function ($scope) 
		{
			$scope.resetData = function()
			{
				$scope.imagePath = "";
			}
			$scope.resetData();			
		}
	]
)